# This code is part of Qiskit.
#
# (C) Copyright IBM 2024
#
# This code is licensed under the Apache License, Version 2.0. You may
# obtain a copy of this license in the LICENSE.txt file in the root directory
# of this source tree or at http://www.apache.org/licenses/LICENSE-2.0.
#
# Any modifications or derivative works of this code must retain this
# copyright notice, and modified files need to carry a notice indicating
# that they have been altered from the originals.

"""
====================================================================
Noise learner (:mod:`qiskit_ibm_runtime.noise_learner.NoiseLearner`)
====================================================================

.. currentmodule:: qiskit_ibm_runtime.noise_learner

The tools to characterize the noise processes affecting the gates in noisy
quantum circuits.

Classes
=======

.. autosummary::
   :toctree: ../stubs/

   NoiseLearner

"""

from .noise_learner import NoiseLearner
